Create an SVM peer permission
Creates an SVM peer permission to establish trust between storage virtual machines (SVMs) and enable communication for specific applications. Use this when setting up peering relationships for tasks like SnapMirror replication.
HTTP method and endpoint
POST /svm/peer-permissions
Introduced in
ONTAP 9.6
Required properties
-
svm.nameorsvm.uuid- SVM name -
cluster_peer.uuidorcluster_peer.name- Peer cluster name or peer cluster UUID -
applications- Peering applications
Related ONTAP commands
-
vserver peer permission create
Examples
The following examples show how to create SVM peer permissions.
-
Creates an SVM peer permission entry with the local SVM and cluster peer names
POST "/api/svm/peer-permissions" '{"cluster_peer":{"name":"cluster2"}, "svm":{"name":"VS1"}, "applications":["snapmirror"]}'
-
Creates an SVM peer permission entry with the local SVM and cluster peer UUID
POST "/api/svm/peer-permissions" '{"cluster_peer":{"uuid":"d3268a74-ee76-11e8-a9bb-005056ac6dc9"}, "svm":{"uuid":"8f467b93-f2f1-11e8-9027-005056ac81fc"}, "applications":["snapmirror"]}'
-
Creates an SVM peer permission entry with all SVMs and the cluster peer name
POST "/api/svm/peer-permissions" '{"cluster_peer":{"name":"cluster2"}, "svm":{"name":"*"}, "applications":["snapmirror"]}'
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
applications |
array[string] |
A list of applications for an SVM peer relation. |
cluster_peer |
Peer cluster details |
|
svm |
Local SVM permitted for peer relation. To create peer permissions for all SVMs, specify the SVM name as "*". |
Example request
{
"applications": [
"snapmirror",
"flexcache"
],
"cluster_peer": {
"name": "cluster2",
"uuid": "ebe27c49-1adf-4496-8335-ab862aebebf2"
},
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
applications |
array[string] |
A list of applications for an SVM peer relation. |
cluster_peer |
Peer cluster details |
|
svm |
Local SVM permitted for peer relation. To create peer permissions for all SVMs, specify the SVM name as "*". |
Example response
{
"applications": [
"snapmirror",
"flexcache"
],
"cluster_peer": {
"name": "cluster2",
"uuid": "ebe27c49-1adf-4496-8335-ab862aebebf2"
},
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error codes | Description |
|---|---|
26345572 |
{field} is a required field. |
26345573 |
Failed to find the SVM or volume UUID with name. |
26345574 |
Failed to find the SVM or volume name with UUID. |
26345575 |
The specified peer cluster name and peer cluster UUID do not match. |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
cluster_peer
Peer cluster details
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
svm
Local SVM permitted for peer relation. To create peer permissions for all SVMs, specify the SVM name as "*".
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. |
uuid |
string |
The unique identifier of the SVM. |
svm_peer_permission
Manage SVM peer permissions.
| Name | Type | Description |
|---|---|---|
applications |
array[string] |
A list of applications for an SVM peer relation. |
cluster_peer |
Peer cluster details |
|
svm |
Local SVM permitted for peer relation. To create peer permissions for all SVMs, specify the SVM name as "*". |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |